<?php
/**
 * Plugin Name:       Cool Plugin
 * Plugin URI:        https://example.com/
 * Description:       A plugin to demonstrate the use of PHPUnit testing on WordPress plugins.
 * Version:           1.0.0
 * Requires at least: 5.8.0
 * Requires PHP:      7.0.0
 * Author:            Sam Perrow
 * Author URI:        https://www.linkedin.com/in/sam-perrow
 * License:           GPL3
 * License URI:       https://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:       cool-plugin
 *
 * Last edited January 16, 2022
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

\add_action( 'init', function() {
	$cool_plugin = new CoolPlugin();
}, 10, 0 );

class CoolPlugin {

	public function __construct() {
		\add_action( 'wp_loaded', array( $this, 'init' ) );
	}

	public function init() {
		$add = $this->add(2, 4);
		$divide = $this->divide(4, 4);
	}

	public function add( int $a, int $b ):int {
		return $a + $b;
	}

	public function divide( int $a, int $b ):int {
		return $a / $b;
	}

}
